#ifndef _INCLUDE_PRAGMA_GUIGFX_LIB_H
#define _INCLUDE_PRAGMA_GUIGFX_LIB_H

#ifndef CLIB_GUIGFX_PROTOS_H
#include <clib/guigfx_protos.h>
#endif

#pragma amicall(GuiGFXBase,0x01E,MakePictureA(a0,d0,d1,a1))
#pragma amicall(GuiGFXBase,0x024,LoadPictureA(a0,a1))
#pragma amicall(GuiGFXBase,0x02A,ReadPictureA(a0,a1,d0,d1,d2,d3,a2))
#pragma amicall(GuiGFXBase,0x030,ClonePictureA(a0,a1))
#pragma amicall(GuiGFXBase,0x036,DeletePicture(a0))
#pragma amicall(GuiGFXBase,0x042,AddPictureA(a0,a1,a2))
#pragma amicall(GuiGFXBase,0x048,AddPaletteA(a0,a1,a2))
#pragma amicall(GuiGFXBase,0x04E,AddPixelArrayA(a0,a1,d0,d1,a2))
#pragma amicall(GuiGFXBase,0x054,RemColorHandle(a0))
#pragma amicall(GuiGFXBase,0x05A,CreatePenShareMapA(a0))
#pragma amicall(GuiGFXBase,0x060,DeletePenShareMap(a0))
#pragma amicall(GuiGFXBase,0x066,ObtainDrawHandleA(a0,a1,a2,a3))
#pragma amicall(GuiGFXBase,0x06C,ReleaseDrawHandle(a0))
#pragma amicall(GuiGFXBase,0x072,DrawPictureA(a0,a1,d0,d1,a2))
#pragma amicall(GuiGFXBase,0x078,MapPaletteA(a0,a1,a2,a3))
#pragma amicall(GuiGFXBase,0x07E,MapPenA(a0,a1,a2))
#pragma amicall(GuiGFXBase,0x084,CreatePictureBitMapA(a0,a1,a2))
#pragma amicall(GuiGFXBase,0x08A,DoPictureMethodA(a0,d0,a1))
#pragma amicall(GuiGFXBase,0x090,GetPictureAttrsA(a0,a1))
#pragma amicall(GuiGFXBase,0x096,LockPictureA(a0,d0,a1))
#pragma amicall(GuiGFXBase,0x09C,UnLockPicture(a0,d0))
#pragma amicall(GuiGFXBase,0x0A2,IsPictureA(a0,a1))
#pragma amicall(GuiGFXBase,0x0A8,CreateDirectDrawHandleA(a0,d0,d1,d2,d3,a1))
#pragma amicall(GuiGFXBase,0x0AE,DeleteDirectDrawHandle(a0))
#pragma amicall(GuiGFXBase,0x0B4,DirectDrawTrueColorA(a0,a1,d0,d1,a2))
#pragma amicall(GuiGFXBase,0x0BA,CreatePictureMaskA(a0,a1,d0,a2))
#pragma tagcall(GuiGFXBase,0x01E,MakePicture(a0,d0,d1,a1))
#pragma tagcall(GuiGFXBase,0x024,LoadPicture(a0,a1))
#pragma tagcall(GuiGFXBase,0x02A,ReadPicture(a0,a1,d0,d1,d2,d3,a2))
#pragma tagcall(GuiGFXBase,0x030,ClonePicture(a0,a1))
#pragma tagcall(GuiGFXBase,0x042,AddPicture(a0,a1,a2))
#pragma tagcall(GuiGFXBase,0x048,AddPalette(a0,a1,a2))
#pragma tagcall(GuiGFXBase,0x04E,AddPixelArray(a0,a1,d0,d1,a2))
#pragma tagcall(GuiGFXBase,0x05A,CreatePenShareMap(a0))
#pragma tagcall(GuiGFXBase,0x066,ObtainDrawHandle(a0,a1,a2,a3))
#pragma tagcall(GuiGFXBase,0x072,DrawPicture(a0,a1,d0,d1,a2))
#pragma tagcall(GuiGFXBase,0x078,MapPalette(a0,a1,a2,a3))
#pragma tagcall(GuiGFXBase,0x07E,MapPen(a0,a1,a2))
#pragma tagcall(GuiGFXBase,0x084,CreatePictureBitMap(a0,a1,a2))
#pragma tagcall(GuiGFXBase,0x08A,DoPictureMethod(a0,d0,a1))
#pragma tagcall(GuiGFXBase,0x090,GetPictureAttrs(a0,a1))
#pragma tagcall(GuiGFXBase,0x096,LockPicture(a0,d0,a1))
#pragma tagcall(GuiGFXBase,0x0A2,IsPicture(a0,a1))
#pragma tagcall(GuiGFXBase,0x0A8,CreateDirectDrawHandle(a0,d0,d1,d2,d3,a1))
#pragma tagcall(GuiGFXBase,0x0B4,DirectDrawTrueColor(a0,a1,d0,d1,a2))
#pragma tagcall(GuiGFXBase,0x0BA,CreatePictureMask(a0,a1,d0,a2))

#endif	/*  _INCLUDE_PRAGMA_GUIGFX_LIB_H  */
